Subject: bug#15075: 24.3.50; Infinite loop when closing some connections

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Mon, 12 Aug 2013 15:22:05 +0200

Lars Magne Ingebrigtsen <[email-masked]> writes:

> fd 17 again?  That's an odd coincidence...

Yeah, just a coincidence.  Here's the next hang upon sending an email:

[pid 20227] read(20, 0x7fff7389a190, 4096) = -1 EBADF (Bad file descriptor)
[pid 20227] read(20, 0x7fff7389a190, 4096) = -1 EBADF (Bad file descriptor)
[pid 20227] read(20, 0x7fff7389a190, 4096) = -1 EBADF (Bad file descriptor)
[pid 20227] read(20, 0x7fff7389a190, 4096) = -1 EBADF (Bad file descriptor)
[pid 20227] read(20, 0x7fff7389a190, 4096) = -1 EBADF (Bad file descriptor)
[pid 20227] read(20, 0x7fff7389a190, 4096) = -1 EBADF (Bad file descriptor)

-- 
(domestic pets only, the antidote for overdose, milk.)
  No Gnus T-Shirt for sale: http://ingebrigtsen.no/no.php
  and http://lars.ingebrigtsen.no/2013/08/twenty-years-of-september.html